Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"

  config.vm.network "forwarded_port", guest: 80, host: 8080,
    id: "port_nodejs_http",
    guest_ip: "0.0.0.0",
    host_ip: "127.0.0.1"
  config.vm.network "forwarded_port", guest: 443, host: 4430,
    id: "port_nodejs_https",
    guest_ip: "0.0.0.0",
    host_ip: "127.0.0.1"

  config.vm.synced_folder ".", "/vagrant"

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "./provision/playbook.yml"
  end
end
